On Thu, Jun 06, 2002 at 11:21:19AM +0200, Sven Neumann wrote:
> Philip Brown <[EMAIL PROTECTED]> writes:
> > My problems hit because of 'pangoft2', which is required by gtk1.3.7,
> > but is NOT INSTALLED by pango1.0.2, the latest version of pango.
> and there is the file INSTALL which you should have read:
>   3. We require PangoFT2, a Pango backend that uses FreeType2. Make
>      sure you have FreeType2 installed before you compile Pango.

Fair enough. But that being the case, please fix the configure script so
that when "pangoft2" is not found, it prints out a more useful message
like, "we require pango, with the optional freetype2 library support
compiled in.  "

> BTW. Sun's make is really akward and I don't see why you are putting
> extra pain on you and other people by refusing to install GNU
> make.

really awkward?
almost nothing in your entire build scheme uses any GNU make 'features'.
The same with all the other libraries' makefiles.

There is no overriding reason for you to use GNUmake specific features,
and since standard makefiles work with both sun make, and GNU make, it
makes sense to stick to the plainer standard.

Gimp-developer mailing list

Reply via email to